#Workaround for 64 bit CPUs
%define _lib lib

Summary: Adds MySQL log rotation
Name: mysql-log-rotate
Version: 1.0.0
Release: 1%{dist}
License: Commercial
Group: Utilities/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.schmoozecom.com/
Vendor: Schmooze Com, Inc.
Packager: Bryan Walters <bryan.walters@schmoozecom.com>
Requires: mysql-server

%description
Adds log rotation for MySQL on CentOS

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/

script='/var/log/mysql/mysql.log {
	daily
	missingok
	rotate 5
	notifempty
	sharedscripts
	create 0660 mysql mysql
	postrotate
	if test -n "$(ps acx|grep mysqld)"; then
	/usr/bin/mysqladmin flush-logs
	fi
	endscript
}'

echo "$script" > $RPM_BUILD_ROOT/etc/logrotate.d/mysqld


%post

%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version}
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

%files
%attr(0644,root,root) /etc/logrotate.d/mysqld

%changelog
* Wed Jan 13 2013  Bryan Walters <bryan.walters@schmoozecom.com> - 1.0.0-1
- Initial release
